CallSiteAwareMetaMethod (Groovy 2.4.11)
Date: 2017-04-27

org.codehaus.groovy.runtime.callsite

## Class CallSiteAwareMetaMethod

- java.lang.Object
- - org.codehaus.groovy.reflection.ParameterTypes
  - - groovy.lang.MetaMethod
    - - org.codehaus.groovy.runtime.callsite.CallSiteAwareMetaMethod

- All Implemented Interfaces:
    Cloneable
  Direct Known Subclasses:
    ArrayMetaMethod, NumberNumberMetaMethod

      public abstract class CallSiteAwareMetaMethod
      extends MetaMethod

- - ### Field Summary

    - ### Fields inherited from class org.codehaus.groovy.reflection.ParameterTypes

      `isVargsMethod, nativeParamTypes, parameterTypes`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CallSiteAwareMetaMethod()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract CallSite` | `createPojoCallSite(CallSite site, MetaClassImpl metaClass, MetaMethod metaMethod, Class[] params, Object receiver, Object[] args)`

    - ### Methods inherited from class groovy.lang.MetaMethod

      `checkParameters, clone, doMethodInvoke, equal, equal, getDeclaringClass, getDescriptor, getModifiers, getMopName, getName, getReturnType, getSignature, invoke, isAbstract, isCacheable, isMethod, isPrivate, isProtected, isPublic, isSame, isStatic, processDoMethodInvokeException, toString`

    - ### Methods inherited from class org.codehaus.groovy.reflection.ParameterTypes

      `coerceArgumentsToClasses, correctArguments, getNativeParameterTypes, getParameterTypes, getPT, isValidExactMethod, isValidExactMethod, isValidMethod, isValidMethod, isVargsMethod, isVargsMethod, setParametersTypes`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### CallSiteAwareMetaMethod

          public CallSiteAwareMetaMethod()

  - ### Method Detail

    - #### createPojoCallSite

          public abstract CallSite createPojoCallSite(CallSite site,
                                                      MetaClassImpl metaClass,
                                                      MetaMethod metaMethod,
                                                      Class[] params,
                                                      Object receiver,
                                                      Object[] args)